---
agentTools:
  projectIndex: https://adzumo.readme.io/llms.txt
---

# Stats By Carrier

Get campaign stats by carrier

[block:api-header]
{
  "type": "basic",
  "title": "PHP"
}
[/block]

Replace:
\[CAMPAIGN] with your campaign ID
\[DATE\_FROM] with your start period
\[DATE\_TO] with your end period
\[YOUR\_API\_TOKEN] with your token

[block:code]
{
  "codes": [
    {
      "code": "<?php\n  $curl = curl_init('https://api.adzumo.net/v1/advertiser/stats/[CAMPAIGN]/carrier/?token=[YOUR_API_TOKEN]&from=[DATE_FROM]&to=[DATE_TO]');\n  curl_setopt($tcurl, CURLOPT_RETURNTRANSFER, true);\n  $response = curl_exec($curl);\n  curl_close($curl);\n  var_dump($response);\n?>",
      "language": "php"
    }
  ]
}
[/block]

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "API Settings",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.adzumo.net/v1"
    }
  ],
  "security": [
    {}
  ],
  "paths": {
    "/advertiser/stats/:campaign/carrier/": {
      "get": {
        "summary": "Stats By Carrier",
        "description": "Get campaign stats by carrier",
        "operationId": "advertiserstatscampigncarrier",
        "parameters": [
          {
            "name": "from",
            "in": "query",
            "description": "The start period",
            "schema": {
              "type": "string",
              "format": "date"
            }
          },
          {
            "name": "to",
            "in": "query",
            "description": "The end period",
            "schema": {
              "type": "string",
              "format": "date"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "php",
              "code": "<?php\n  $curl = curl_init('https://api.adzumo.net/v1/advertiser/stats/1/carrier/?token=[YOUR_API_TOKEN]&from=2015-05-25&to=2015-05-26');\n  curl_setopt($tcurl, CURLOPT_RETURNTRANSFER, true);\n  $response = curl_exec($curl);\n  curl_close($curl);\n  var_dump($response);\n?>"
            }
          ],
          "samples-languages": [
            "php"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": false,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true,
  "_id": "60f594ea7275ac0071183ac9:60f594ea7275ac0071183afb"
}
```